
# Fedora package review
# http://bugzilla.redhat.com/459705

#define _with_check -DBUILD_TESTS=ON 
%define pre beta1 

Name:    eigen2
Summary: A lightweight C++ template library for vector and matrix math
Version: 2.0 
Release: 0.4.%{pre}%{?dist} 
Group:   System Environment/Libraries
License: GPLv2+ or LGPLv3+
URL:     http://eigen.tuxfamily.org/
Source0: http://download.tuxfamily.org/eigen/eigen-%{version}-%{pre}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: cmake
#docs
BuildRequires: doxygen graphviz
%if 0%{?fedora} > 8
BuildRequires: tex(latex)
%else
BuildRequires: tetex-latex
#BuildRequires: %{_bindir}/latex
%endif
%{?_with_check:BuildRequires: qt4-devel}

%description
%{summary}

%package devel
Summary: A lightweight C++ template library for vector and matrix math
Group:   Development/Libraries
# -devel subpkg only atm, compat with other distros
Provides: %{name} = %{version}-%{release}
%description devel
%{summary}


%prep
%setup -q -n eigen2


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} %{?_with_check}  ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# docs
doxygen



%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%check
%if 0%{?_with_check:1}
( cd %{_target_platform}/test; ctest )
%endif


%clean 
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER
%doc html/
%{_includedir}/eigen2/


%changelog
* Mon Sep 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.4.beta1
- eigen-2.0-beta1

* Mon Aug 25 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.3.alpha7
- disable buildtime tests, which tickle gcc bugs

* Fri Aug 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.2.alpha7
- add working %%check

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.1.alpha7
- eigen-2.0-alpha7
